Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1705012 - [abrt] solaar: update(): window.py:794:update:AssertionError
Summary: [abrt] solaar: update(): window.py:794:update:AssertionError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5f7ae3af7e7b9444bde4304a82b...
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2019-05-01 05:38 UTC by Robert Hancock
Modified: 2019-09-06 12:32 UTC (History)
4 users (show)

Fixed In Version: solaar-1.0.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-06 12:32:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (483 bytes, text/plain)
2019-05-01 05:38 UTC, Robert Hancock
no flags Details
File: cgroup (331 bytes, text/plain)
2019-05-01 05:38 UTC, Robert Hancock
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2019-05-01 05:38 UTC, Robert Hancock
no flags Details
File: environ (3.72 KB, text/plain)
2019-05-01 05:38 UTC, Robert Hancock
no flags Details
File: mountinfo (3.96 KB, text/plain)
2019-05-01 05:38 UTC, Robert Hancock
no flags Details
File: namespaces (129 bytes, text/plain)
2019-05-01 05:38 UTC, Robert Hancock
no flags Details
File: open_fds (1.23 KB, text/plain)
2019-05-01 05:38 UTC, Robert Hancock
no flags Details

Description Robert Hancock 2019-05-01 05:38:10 UTC
Version-Release number of selected component:
solaar-0.9.2-11.20180813gitf0fc63e.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: update
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.3-1.fc30.x86_64
kernel:         5.0.9-301.fc30.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
window.py:794:update:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/solaar/ui/__init__.py", line 165, in _status_changed
    window.update(device, need_popup)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 794, in update
    assert device.receiver
AssertionError

Local variables in innermost frame:
device: <PairedDevice(1,101B,M705 (M-R0009))>
need_popup: 0
selected_device_id: ('/dev/hidraw3', 1)
is_paired: False

Potential duplicate: bug 1662854

Comment 1 Robert Hancock 2019-05-01 05:38:12 UTC
Created attachment 1560640 [details]
File: backtrace

Comment 2 Robert Hancock 2019-05-01 05:38:13 UTC
Created attachment 1560641 [details]
File: cgroup

Comment 3 Robert Hancock 2019-05-01 05:38:14 UTC
Created attachment 1560642 [details]
File: cpuinfo

Comment 4 Robert Hancock 2019-05-01 05:38:15 UTC
Created attachment 1560643 [details]
File: environ

Comment 5 Robert Hancock 2019-05-01 05:38:16 UTC
Created attachment 1560644 [details]
File: mountinfo

Comment 6 Robert Hancock 2019-05-01 05:38:17 UTC
Created attachment 1560645 [details]
File: namespaces

Comment 7 Robert Hancock 2019-05-01 05:38:17 UTC
Created attachment 1560646 [details]
File: open_fds

Comment 8 Fedora Update System 2019-08-27 14:25:22 UTC
FEDORA-2019-c00c923eba has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c00c923eba

Comment 9 Fedora Update System 2019-08-30 00:04:21 UTC
solaar-1.0.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c00c923eba

Comment 10 Fedora Update System 2019-09-06 12:32:40 UTC
solaar-1.0.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.